Skip to main content
POST
/
video
curl --request POST \
  --url https://api.varg.ai/v1/video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-v3",
  "prompt": "cinematic shot of ocean waves crashing on rocky cliffs at golden hour",
  "duration": 5,
  "aspect_ratio": "16:9"
}
'
{
  "job_id": "job_a1b2c3d4",
  "status": "completed",
  "model": "fal:kling-v2.5",
  "created_at": "2026-02-13T10:00:00Z",
  "completed_at": "2026-02-13T10:02:30Z",
  "output": {
    "url": "https://s3.varg.ai/o/job_a1b2c3d4.mp4",
    "media_type": "video/mp4"
  },
  "cache": {
    "hit": false,
    "key": "sha256:abc123..."
  },
  "error": "Provider returned an error"
}

Authorizations

Authorization
string
header
required

API key from varg.ai/dashboard.

Pass as Authorization: Bearer varg_xxx.

Body

application/json
model
string
required

Video model to use. Also accepts lipsync and video upscale models.

Video generation: kling-v3, kling-v3-standard, seedance-2-preview, seedance-2-fast-preview, sora-2, sora-2-pro, wan-2.5, wan-2.5-preview, minimax, ltx-2-19b-distilled, grok-imagine

Video editing: grok-imagine-edit, sora-2-remix, seedance-2-preview

Motion control: kling-v2.6-motion

Lipsync: veed-fabric-1.0, sync-v2, sync-v2-pro, omnihuman-v1.5

Video upscale: seedvr-video, topaz-video, bytedance-upscaler, sima-video-upscaler

Legacy: kling-v2.6, kling-v2.5, kling-v2.1, kling-v2

Examples:

"kling-v3"

"seedance-2-preview"

"seedance-2-fast-preview"

"sora-2"

"wan-2.5"

"minimax"

"ltx-2-19b-distilled"

"grok-imagine"

"veed-fabric-1.0"

"sync-v2"

"seedvr-video"

prompt
string
required

Text description of the video to generate. For lipsync and upscale models, can be empty.

Example:

"ocean waves crashing on a rocky beach at sunset"

duration
number
default:5

Duration in seconds. Seedance models only accept 5, 10, or 15. Kling V3 accepts integers 3-15.

Example:

5

aspect_ratio
string

Output aspect ratio

Examples:

"16:9"

"9:16"

"1:1"

"4:3"

"3:4"

files
object[]

Input files for image-to-video, video editing, lipsync, or upscale.

  • Image-to-video: 1 image URL (first frame). Some models support 2 images for first+last keyframe.
  • Video editing: 1 video URL (.mp4, .webm, .mov)
  • Lipsync: 1 video/image URL + 1 audio URL
  • Video upscale: 1 video URL
provider_options
object

Additional options passed directly to the provider

Response

Job created

job_id
string
required

Unique job identifier

Example:

"job_a1b2c3d4"

status
enum<string>
required

Current job status

Available options:
queued,
processing,
completed,
failed,
cancelled
Example:

"completed"

model
string
required

Resolved model identifier (provider:model format)

Example:

"fal:kling-v2.5"

created_at
string<date-time>
required

When the job was created

Example:

"2026-02-13T10:00:00Z"

completed_at
string<date-time>

When the job finished (completed, failed, or cancelled)

Example:

"2026-02-13T10:02:30Z"

output
object

Job output, present when status is completed

cache
object

Cache metadata

error
string

Error message, present when status is failed

Example:

"Provider returned an error"